org.codehaus.plexus.util.cli

## Interface CommandLineCallable

- All Superinterfaces:
    Callable<Integer>

      public interface CommandLineCallable
      extends Callable<Integer>

  Callable wrapper that exposes the proper exeception type to the client.
  Author:
    Kristian Rosenvold

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `call()`

- - ### Method Detail

    - #### call

          Integer call()
                       throws CommandLineException

      Specified by:
        `call` in interface `Callable<Integer>`
      Throws:
        `CommandLineException`

Copyright © 2015. All rights reserved.